Bug 843393 - Designer Task Data Assignments and Commas
Designer Task Data Assignments and Commas
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Tihomir Surdilovic
Sona Mala
:
: 852108 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-26 04:37 EDT by Toshiya Kobayashi
Modified: 2014-10-26 21:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When users added comma to the comment field of the user task in the Process Designer, the user task would not be parsed properly because there was no support for commas. The Process Designer now includes support for commas.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Editor for Data Assignments - Text in Comment property contains comma (78.09 KB, image/png)
2012-10-01 09:05 EDT, Sona Mala
no flags Details
repository_export_comma_comment_disordered.xml (42.76 KB, text/xml)
2012-10-01 23:46 EDT, Toshiya Kobayashi
no flags Details
jBPMEx29_comma_comment_verify (12.12 KB, application/zip)
2012-10-01 23:47 EDT, Toshiya Kobayashi
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-3676 Major Resolved Designer Task Data Assignments and Commas 2013-05-01 06:44:38 EDT

  None (edit)
Description Toshiya Kobayashi 2012-07-26 04:37:59 EDT
Description of problem:

Platform BZ for https://issues.jboss.org/browse/JBPM-3676


How reproducible:

Add "aaaa, bbbb" to 'Comment' property of Task Node

Actual results:

"Data Assignments" windows gets disordered -- "bbbb" becomes 'From Object'.

Expected results:

"Data Assignments" windows shows "aaaa, bbbb" as 'To Value'
Comment 1 JBoss JIRA Server 2012-07-26 12:38:26 EDT
Tihomir Surdilovic <tsurdilo@redhat.com> made a comment on jira JBPM-3676

Yes currently comma is used to separate the values internally. This will change in Designer 2.4. I cannot break the compatibility in 2.3 from 2.2 on consecutive releases. However when this is fixed after the Designer 2.3 release I will provide a war file with the fix here asap so you guys can start using it.

Hope this is OK with everyone.
Comment 9 JBoss JIRA Server 2012-08-02 16:19:43 EDT
Tihomir Surdilovic <tsurdilo@redhat.com> updated the status of jira JBPM-3676 to Resolved
Comment 10 JBoss JIRA Server 2012-08-02 16:19:43 EDT
Tihomir Surdilovic <tsurdilo@redhat.com> made a comment on jira JBPM-3676

Fix committed to master. Will be available in Designer 2.4.0 release
Comment 11 Tihomir Surdilovic 2012-08-02 16:23:01 EDT
Toshiya, JBPM-3676 is resolved now in community. One thing I could use some help on is what branch the fix needs to go into.

BRMS 5.3 Designer was released from the https://github.com/droolsjbpm/jbpm-designer/tree/2.2.x branch. Since then we released Designer 2.3.0.Final in the community which uses the 2.3.x branch. 
I don't know if next release of Designer will use the 2.2.x or the 2.3.x branch..let me know what productization decides to do here. I would assume they use 2.3.x
Comment 12 Toshiya Kobayashi 2012-08-10 09:32:56 EDT
Prakash told that 2.3.x is the one. Thanks!
Comment 13 Toshiya Kobayashi 2012-08-27 21:54:52 EDT
*** Bug 852108 has been marked as a duplicate of this bug. ***
Comment 14 Lukáš Petrovický 2012-08-28 02:21:58 EDT
This is fixed now.
Comment 16 Sona Mala 2012-09-19 08:32:08 EDT
I can still reproduce this bug on BRMS 5.3.1 ER1 and Designer 2.3.1-DEV

Editor for Data Assigment do not allow me put property "Commnad" into field From Object.
I must write it directly into input field of property "Assigments".
  - Comment=aaaa,bbb
If I open Editor for Data Assigments again I can see same result which is capture on screenshots in jira JBPM-3676
Comment 17 Tihomir Surdilovic 2012-09-19 09:31:46 EDT
I am not sure what to do about users typing in directly text into the input field and bypassing the editor. If using the editor works as expected then this should be the fix for this unless you guys disagree.

let me know..thanks.
Comment 18 Toshiya Kobayashi 2012-09-19 23:14:06 EDT
> Sona

You can input the value (e.g. aaa,bbb) in "Comment" property of a Task node. Isn't it good for the test?

> Tiho

With Designer 2.3.1-DEV, I see the Comment value is wrpped by CDATA in bpmn2 so the fix seems to be fine. But I don't see any entry in "Data Assignments" after adding Comment while BRMS 5.3.0 shows an entry for Comment (and TaskName). Is this an intentinal change? I guess it's not a problem anyway...
Comment 19 JBoss JIRA Server 2012-09-20 06:15:20 EDT
Tihomir Surdilovic <tsurdilo@redhat.com> made a comment on jira JBPM-3676

@Toshiya, yes that was done by design. The Comment data input is still added tho in both data inputs and the data assignments in the bpmn2.
Comment 20 Sona Mala 2012-10-01 09:03:50 EDT
For Jira issue: verified for BRMS 5.3.1 ER1 and designer 2.3.1-DEV
Steps of verification:
 1. create new process in empty repository
 2. add email service task
 3. open editor for data assignments and write string value into field ("aaaa,bbbb")
 4. close and reopen

Everything is ok. No another variables are visible. Text in Assignment field is Subject=aaa##bbb,To=,From=,Body=

But still I do not know steps to reproduce issue in Bugzilla. If I type "aaa,bbb" into Comment property and open Editor for Data Assignments of property Assignments, then I cannot see Comment as From Object in assignments.
Same behaviour for BRMS 5.3.0 ER9. 

Screenshot is attached.
Comment 21 Sona Mala 2012-10-01 09:05:13 EDT
Created attachment 619781 [details]
Editor for Data Assignments - Text in Comment property contains comma
Comment 22 Toshiya Kobayashi 2012-10-01 23:46:45 EDT
Created attachment 620108 [details]
repository_export_comma_comment_disordered.xml
Comment 23 Toshiya Kobayashi 2012-10-01 23:47:37 EDT
Created attachment 620109 [details]
jBPMEx29_comma_comment_verify
Comment 24 Toshiya Kobayashi 2012-10-01 23:50:06 EDT
Hi Sona,

> still I do not know steps to reproduce issue in Bugzilla.

'To reproduce', you need to save the process after adding Comment property. Sorry about missing it in the initial description. Of course you need to test with 5.3.0.GA. Attached my repository_export_comma_comment_disordered.xml.

For 5.3.1.ER1, as Tiho commented, Designer doesn't show Comment property in "Data Assignments" windows. So 'to verify the fix', we need to look into bpmn2 file itself and confirm that "aaaa, bbbb" is surrounded by CDATA. Also I have attached a JBDS project which confirms that a task client can get the comment value.

Cheers,
Comment 25 Sona Mala 2012-10-02 03:56:25 EDT
For Bugzilla issue: verified for BRMS 5.3.1 ER1 and designer 2.3.1 - DEV

Steps of verification:
 1. Create new process in empty repository
 2. add human task and set its property Comment to "aaaa,bbb"
 3. save process then check property in designer and in BPMN2 source code (contains CDATA).

Thanks Toshiya, your repository help me.

Note You need to log in before you can comment on or make changes to this bug.